Package org.apache.qpid.proton.amqp

# Class Decimal32

java.lang.Object
java.lang.Number
org.apache.qpid.proton.amqp.Decimal32

All Implemented Interfaces:
  `Serializable`

public final class Decimal32 extends Number

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Decimal32(int bits)`
`Decimal32(BigDecimal underlying)`

## Method Summary

Modifier and Type
Method
Description
`double`
`doubleValue()`
`boolean`
`equals(Object o)`
`float`
`floatValue()`
`int`
`getBits()`
`int`
`hashCode()`
`int`
`intValue()`
`long`
`longValue()`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Decimal32

public Decimal32(BigDecimal underlying)

### Decimal32

public Decimal32(int bits)

## Method Details

### intValue

public int intValue()

Specified by:
  `intValue` in class `Number`

### longValue

public long longValue()

Specified by:
  `longValue` in class `Number`

### floatValue

public float floatValue()

Specified by:
  `floatValue` in class `Number`

### doubleValue

public double doubleValue()

Specified by:
  `doubleValue` in class `Number`

### getBits

public int getBits()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`